summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-02-15 00:14:59 +0100
committerManuel Rüger <mrueg@gentoo.org>2018-02-15 00:15:37 +0100
commitf58c38be3a735fb29e4655988ff49cc4d7d6ea79 (patch)
tree07468f111d392656e3fdac0201ffca84279861ed /app-admin
parentsys-apps/nvme-cli: Version bump to 1.5 (diff)
downloadgentoo-f58c38be3a735fb29e4655988ff49cc4d7d6ea79.tar.gz
gentoo-f58c38be3a735fb29e4655988ff49cc4d7d6ea79.tar.bz2
gentoo-f58c38be3a735fb29e4655988ff49cc4d7d6ea79.zip
app-admin/vault: Version bump to 0.9.3
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/vault/Manifest1
-rw-r--r--app-admin/vault/vault-0.9.3.ebuild67
2 files changed, 68 insertions, 0 deletions
diff --git a/app-admin/vault/Manifest b/app-admin/vault/Manifest
index 8e1fd652263..c0b2b71f5b0 100644
--- a/app-admin/vault/Manifest
+++ b/app-admin/vault/Manifest
@@ -1,2 +1,3 @@
DIST vault-0.8.3.tar.gz 8128509 BLAKE2B 681b19e7a775e26d396411b137608bc5b68f1226e407dc254c9f498e59a6022d9633aa206b5efe692d35f816a6d8ee6399b7a00b64395b3d775b97fc46a93c6a SHA512 e2b273ebb761246f6d85fc040d911a3f3a7beb0951fed4adcbe5df4106dd0cb013328b5816ef4153b2c4d363f7f2a14ae1c82bae9baaea74ef707ff0934d6c8d
DIST vault-0.9.0.tar.gz 8457263 BLAKE2B 021887cd3ab8185b3369f8355fc6cac23553e90277dfa2121fedcf170bbac19997f723c995ed0e00b80b25671ee827aa43a15040a6b57c43634abd5030dd7130 SHA512 c5755bd8a696764af2375ac51b955759ece36796e6c138e6fc3e8abd487c10ac41c8927501234e0cdfcd448021254b2f09097d8e00a6278b44f971d8b8442da6
+DIST vault-0.9.3.tar.gz 8694430 BLAKE2B 2ac99f5723b9ecf65382f10b795e51d29659b2d218732c6e9d8cc5a3a788a5dfbdc58926399a98ef27bae05454c74dec028a4ed631417788843c7ca7102263e8 SHA512 3939c952c12497f5fb9d4ba0fa4ca94acfd8ee8bb2f3636364dad680a54be4256d52018521573a0c1499a3cf573ff9daa27a52dee3ff7216181436b9aadea574
diff --git a/app-admin/vault/vault-0.9.3.ebuild b/app-admin/vault/vault-0.9.3.ebuild
new file mode 100644
index 00000000000..81830bee313
--- /dev/null
+++ b/app-admin/vault/vault-0.9.3.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit fcaps golang-base golang-vcs-snapshot systemd user
+
+EGO_PN="github.com/hashicorp/${PN}"
+DESCRIPTION="A tool for managing secrets"
+HOMEPAGE="https://vaultproject.io/"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SLOT="0"
+LICENSE="MPL-2.0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RESTRICT="test"
+
+DEPEND=">=dev-lang/go-1.9:=
+ dev-go/gox"
+
+FILECAPS=(
+ -m 755 'cap_ipc_lock=+ep' usr/bin/${PN}
+)
+
+src_prepare() {
+ default
+ # Avoid the need to have a git checkout
+ sed -e 's:^\(GIT_COMMIT=\).*:\1:' \
+ -e 's:^\(GIT_DIRTY=\).*:\1:' \
+ -e s:\'\${GIT_COMMIT}\${GIT_DIRTY}\':: \
+ -i src/${EGO_PN}/scripts/build.sh || die
+ sed -e "/hooks/d" -i src/${EGO_PN}/Makefile || die
+}
+
+pkg_setup() {
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+src_compile() {
+ mkdir bin || die
+ export GOPATH=${S}
+ cd src/${EGO_PN} || die
+ XC_ARCH=$(go env GOARCH) \
+ XC_OS=$(go env GOOS) \
+ XC_OSARCH=$(go env GOOS)/$(go env GOARCH) \
+ emake
+}
+
+src_install() {
+ dodoc src/${EGO_PN}/{CHANGELOG.md,CONTRIBUTING.md,README.md}
+ newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+ newconfd "${FILESDIR}/${PN}.confd" "${PN}"
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/${PN}.logrotated" "${PN}"
+ systemd_dounit "${FILESDIR}/${PN}.service"
+
+ keepdir /etc/${PN}.d
+ insinto /etc/${PN}.d
+ doins "${FILESDIR}/"*.json.example
+
+ keepdir /var/log/${PN}
+ fowners ${PN}:${PN} /var/log/${PN}
+
+ dobin bin/${PN}
+}